This resource records when a medication is dispensed to a patient, typically by a pharmacy. Each dispense entry contains the medication details, quantity, refills, pharmacy information, and dispense date.
You can review or retrieve dispensed medication information with FHIR® passthrough.
read
Review a specific MedicationDispense resource with medication, quantity, and dispense details for a given patient.
cURL request example
Request Parameters
- idrequired, string
MedicationDispense identifier
- resourceTyperequired, string
Identifies the type of the resource
Value:MedicationDispense - statusrequired, string
A code specifying the state of the set of dispense events.
Possible Values:preparation,in-progress,cancelled,on-hold,completed,entered-in-error,stopped,declined,unknown - medicationCodeableConceptrequired, object
Identifies the medication being administered. This is either a link to a resource representing the details of the medication or a simple attribute carrying a code that identifies the medication from a known list of medications.
- codingArray of object
A reference to a code defined by a terminology system.
- systemstring
The identification of the code system that defines the meaning of the symbol in the code.
- codestring
A symbol in syntax defined by the system. The symbol may be a predefined code or an expression in a syntax defined by the coding system (e.g. post-coordination).
- textstring
A human language representation of the concept as seen/selected/uttered by the user who entered the data and/or which represents the intended meaning of the user.
- idstring
The logical id of the resource, as used in the URL for the resource. Once assigned, this value never changes.
- identifierArray of object
Identifiers associated with this Medication Dispense that are defined by business processes and/or used to refer to it when a direct URL reference to the resource itself is not appropriate. They are business identifiers assigned to this resource by the performer or other systems and remain constant as the resource is updated and propagates from server to server.
- extensionArray of Boolean, String, CodeableConcept, Coding
May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension.
- urlrequired, string
Source of the definition for the extension code - a logical name or a URL.
- valueBooleanboolean
A single value for the extension.
- usestring
The purpose of this identifier.
Possible Values:usual,official,temp,secondary,old (If known) - systemstring
Establishes the namespace for the value - that is, a URL that describes a set values that are unique.
- valuestring
The portion of the identifier typically relevant to the user and which is unique within the context of the system.
- subjectobject
A link to a resource representing the person or the group to whom the medication will be given.
Must be a resource of type
Patient.- referencestring
A reference to another resource. This is typically either a relative reference which includes the resource type and ID, or an internal reference which starts with
#and refers to a contained resource.
- contextobject
The encounter or episode of care that establishes the context for this event.
Must be a resource of type
Encounter.- referencestring
A reference to another resource. This is typically either a relative reference which includes the resource type and ID, or an internal reference which starts with
#and refers to a contained resource.
- performerArray of object
Indicates who or what performed the event.
- actorrequired, object
The device, practitioner, etc. who performed the action. It should be assumed that the actor is the dispenser of the medication.
Must reference one of the following types of resources:
PractitionerOrganization
- referencestring
A reference to another resource. This is typically either a relative reference which includes the resource type and ID, or an internal reference which starts with
#and refers to a contained resource.
- authorizingPrescriptionArray of object
Indicates the medication order that is being dispensed against.
Must be a resource of type
MedicationRequest.- referencestring
A reference to another resource. This is typically either a relative reference which includes the resource type and ID, or an internal reference which starts with
#and refers to a contained resource.
- typeobject
Indicates the type of dispensing event that is performed. For example, Trial Fill, Completion of Trial, Partial Fill, Emergency Fill, Samples, etc.
- codingArray of object
A reference to a code defined by a terminology system.
- systemstring
The identification of the code system that defines the meaning of the symbol in the code.
- codestring
A symbol in syntax defined by the system. The symbol may be a predefined code or an expression in a syntax defined by the coding system (e.g. post-coordination).
- textstring
A human language representation of the concept as seen/selected/uttered by the user who entered the data and/or which represents the intended meaning of the user.
- quantityobject
The amount of medication that has been dispensed. Includes unit of measure.
- valuenumber
The value of the measured amount. The value includes an implicit precision in the presentation of the value.
- systemstring
The identification of the system that provides the coded form of the unit.
- codestring
A computer processable form of the unit in some unit representation system.
- daysSupplyobject
The amount of medication expressed as a timing amount.
- valuenumber
The value of the measured amount. The value includes an implicit precision in the presentation of the value.
- systemstring
The identification of the system that provides the coded form of the unit.
- codestring
A computer processable form of the unit in some unit representation system.
- whenPreparedstring
The time when the dispensed product was packaged and reviewed.
- whenHandedOverstring
The time the dispensed product was provided to the patient or their representative.
- dosageInstructionArray of object
Indicates how the medication is to be used by the patient.
- textstring
Free text dosage instructions e.g. SIG.
- timingobject
When medication should be administered.
- repeatobject
A set of rules that describe when the event is scheduled.
- frequencynumber
The number of times to repeat the action within the specified period. If frequencyMax is present, this element indicates the lower bound of the allowed range of the frequency.
- frequencyMaxnumber
If present, indicates that the frequency is a range - so to repeat between [frequency] and [frequencyMax] times within the period or period range.
- periodnumber
Indicates the duration of time over which repetitions are to occur; e.g. to express "3 times per day", 3 would be the frequency and "1 day" would be the period. If periodMax is present, this element indicates the lower bound of the allowed range of the period length.
- _periodobject
This element contains extensions for
period. Depending on the extensions present it could be used in place ofperiodor contain additional information aboutperiod. See theextensionelement for more details on the possible extensions being sent.- extensionArray of OriginalText or Other
May be used to represent additional information that is not part of the basic definition of the resource. To make the use of extensions safe and manageable, there is a strict set of governance applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension.
- urlrequired, string
Source of the definition for the extension code - a logical name or a URL.
Value:http://hl7.org/fhir/StructureDefinition/originalText - valueStringrequired, string
The original text
Only one of
valueString,valueUrlmay be present. - valueUrlrequired, string
The original text
Only one of
valueString,valueUrlmay be present.
A human language representation of the concept (resource/element) as seen/selected/uttered by the user who entered the data and/or which represents the full intended meaning of the user.
See http://hl7.org/fhir/StructureDefinition/originalText for more information
- periodMaxnumber
If present, indicates that the period is a range from [period] to [periodMax], allowing expressing concepts such as "do this once every 3-5 days.
- _periodMaxobject
This element contains extensions for
periodMax. Depending on the extensions present it could be used in place ofperiodMaxor contain additional information aboutperiodMax. See theextensionelement for more details on the possible extensions being sent.- extensionArray of OriginalText or Other
May be used to represent additional information that is not part of the basic definition of the resource. To make the use of extensions safe and manageable, there is a strict set of governance applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension.
- urlrequired, string
Source of the definition for the extension code - a logical name or a URL.
Value:http://hl7.org/fhir/StructureDefinition/originalText - valueStringrequired, string
The original text
Only one of
valueString,valueUrlmay be present. - valueUrlrequired, string
The original text
Only one of
valueString,valueUrlmay be present.
A human language representation of the concept (resource/element) as seen/selected/uttered by the user who entered the data and/or which represents the full intended meaning of the user.
See http://hl7.org/fhir/StructureDefinition/originalText for more information
- periodUnitstring
The units of time for the period in UCUM units.
Possible Values:s,min,h,d,wk,mo,a - unit of time (UCUM) - _periodUnitobject
This element contains extensions for
periodUnit. Depending on the extensions present it could be used in place ofperiodUnitor contain additional information aboutperiodUnit. See theextensionelement for more details on the possible extensions being sent.- extensionArray of OriginalText or Other
May be used to represent additional information that is not part of the basic definition of the resource. To make the use of extensions safe and manageable, there is a strict set of governance applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension.
- urlrequired, string
Source of the definition for the extension code - a logical name or a URL.
Value:http://hl7.org/fhir/StructureDefinition/originalText - valueStringrequired, string
The original text
Only one of
valueString,valueUrlmay be present. - valueUrlrequired, string
The original text
Only one of
valueString,valueUrlmay be present.
A human language representation of the concept (resource/element) as seen/selected/uttered by the user who entered the data and/or which represents the full intended meaning of the user.
See http://hl7.org/fhir/StructureDefinition/originalText for more information
- whenArray of string
An approximate time period during the day, potentially linked to an event of daily living that indicates when the action should occur.
- _whenobject
This element contains extensions for
when. Depending on the extensions present it could be used in place ofwhenor contain additional information aboutwhen. See theextensionelement for more details on the possible extensions being sent.- extensionArray of OriginalText or Other
May be used to represent additional information that is not part of the basic definition of the resource. To make the use of extensions safe and manageable, there is a strict set of governance applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension.
- urlrequired, string
Source of the definition for the extension code - a logical name or a URL.
Value:http://hl7.org/fhir/StructureDefinition/originalText - valueStringrequired, string
The original text
Only one of
valueString,valueUrlmay be present. - valueUrlrequired, string
The original text
Only one of
valueString,valueUrlmay be present.
A human language representation of the concept (resource/element) as seen/selected/uttered by the user who entered the data and/or which represents the full intended meaning of the user.
See http://hl7.org/fhir/StructureDefinition/originalText for more information
- boundsPeriodobject
Either a duration for the length of the timing schedule, a range of possible length, or outer bounds for start and/or end limits of the timing schedule.
- startstring
The start of the period. The boundary is inclusive.
- endstring
The end of the period. If the end of the period is missing, it means no end was known or planned at the time the instance was created. The start may be in the past, and the end date in the future, which means that period is expected/planned to end at that time.
- routeobject
How drug should enter body.
- codingArray of object
A reference to a code defined by a terminology system.
- systemstring
The identification of the code system that defines the meaning of the symbol in the code.
- codestring
A symbol in syntax defined by the system. The symbol may be a predefined code or an expression in a syntax defined by the coding system (e.g. post-coordination).
- textstring
A human language representation of the concept as seen/selected/uttered by the user who entered the data and/or which represents the intended meaning of the user.
A profile on the MedicationDispense resource that conforms to Redox requirements. Represents the provision of a supply of a medication with the intention that it is subsequently consumed by a patient.